Field NationDeveloper Platform
Field NationDeveloper Platform
Overview

Work Orders

Approve a Work Order POSTAssign user by work order POSTAuto-Dispatch Work Order POSTIncomplete a Work Order DELETERevert work order to draft status DELETEMass route a work order to providers POSTUnpublish a Work Order DELETEPublish a Work Order POSTUn-route a work order from an user DELETERoute a work order to a user POSTGet Work Order Status GET

Resources

WorkflowWorkflow

Assign user by work order


Assign a provider (user) directly to a work order. Optionally include clientPayTermsAccepted to record acceptance of pay terms.

POST
/api/rest/v2/workorders/{work_order_id}/assignee

Authorization

access_token
access_token<token>

OAuth 2.0 Access Token

In: query

Path Parameters

work_order_id*integer

Work Order ID

Query Parameters

async?boolean

Asynchronous

Value intrue | false
acting_user_id?integer

Acting user id

clientPayTermsAccepted?boolean

If user accept the client pay terms

Request Body

application/json

Assignee request body

user?

User

ignored_missing_qualifications?boolean

Whether missing qualifications are ignored

conflicts?array<>

List of conflicts

curl -X POST "https://api-sandbox.fndev.net/api/rest/v2/workorders/0/assignee" \  -H "Content-Type: application/json" \  -d '{    "user": {      "id": 202020    },    "ignored_missing_qualifications": false  }'
{}
{
  "status": 500,
  "message": "Operation successful."
}
{
  "status": 500,
  "message": "Operation successful."
}
{
  "status": 500,
  "message": "Operation successful."
}

Response Body

application/json

application/json

application/json

application/json

Last updated on

Approve a Work Order POST

Previous Page

Auto-Dispatch Work Order POST

Next Page

curl -X POST "https://api-sandbox.fndev.net/api/rest/v2/workorders/0/assignee" \
  -H "Content-Type: application/json" \
  -d '{
    "user": {
      "id": 202020
    },
    "ignored_missing_qualifications": false
  }'